import { executeQuery } from '../Connection/QueriesExecutor.js'

const getInvoices = async function ({ CPFRESPONSAVEL, CDCONSUMIDOR }) {
    let result = await executeQuery({ sql: 'GET_INVOICES',
        rawReturn: true,
        binds: {
            'CPFRESPONSAVEL': CPFRESPONSAVEL,
            CDCONSUMIDOR
        }
    })

    return result
}

const updateCreditCardIncome = async function ({ NSU, NRLANBOLREC, CDFILIAL }) {
    let result = await executeQuery({ sql: 'UPDATE_CREDIT_CARD_INCOME',
        rawReturn: true,
        binds: {
            NSU,
            NRLANBOLREC,
            CDFILIAL
        }
    })

    return result
}

const updatePixIncome = async function ({ NIT, NRLANBOLREC, CDFILIAL }) {
    let result = await executeQuery({ sql: 'UPDATE_PIX_INCOME',
        rawReturn: true,
        binds: {
            NIT,
            NRLANBOLREC,
            CDFILIAL
        }
    })

    return result
}

export default { getInvoices, updateCreditCardIncome, updatePixIncome }
